Qwt User's Guide 6.2.0

Public Member Functions | Static Public Attributes | List of all members
QwtLogTransform Class Reference

Logarithmic transformation. More...

`#include <qwt_transform.h>`

Inheritance diagram for QwtLogTransform:

## Public Member Functions
| QwtLogTransform ()
| Constructor.
virtual | ~QwtLogTransform ()
| Destructor.
virtual double | transform (double value) const override
virtual double | invTransform (double value) const override
virtual double | bounded (double value) const override
virtual QwtTransform * | copy () const override
Public Member Functions inherited from QwtTransform
| QwtTransform ()
| Constructor.
virtual | ~QwtTransform ()
| Destructor.

## Static Public Attributes
static const double | LogMin = 1.0e-150
| Smallest allowed value for logarithmic scales: 1.0e-150.
static const double | LogMax = 1.0e150
| Largest allowed value for logarithmic scales: 1.0e150.

## Detailed Description

Logarithmic transformation.

QwtLogTransform modifies the values using log() and exp().

Note
  In the calculations of QwtScaleMap the base of the log function has no effect on the mapping. So QwtLogTransform can be used for log2(), log10() or any other logarithmic scale.

Definition at line 100 of file qwt_transform.h.

## Member Function Documentation

## ◆ bounded()

double QwtLogTransform::bounded | ( | double | value | ) | const
| override virtual

Parameters

  value | Value to be bounded

Returns
  qBound( LogMin, value, LogMax )

Reimplemented from QwtTransform.

Definition at line 106 of file qwt_transform.cpp.

## ◆ copy()

QwtTransform * QwtLogTransform::copy | ( |  | ) | const
| override virtual

Returns
  Clone of the transformation

Implements QwtTransform.

Definition at line 112 of file qwt_transform.cpp.

## ◆ invTransform()

double QwtLogTransform::invTransform | ( | double | value | ) | const
| override virtual

Parameters

  value | Value to be transformed

Returns
  exp( value )

Implements QwtTransform.

Definition at line 97 of file qwt_transform.cpp.

## ◆ transform()

double QwtLogTransform::transform | ( | double | value | ) | const
| override virtual

Parameters

  value | Value to be transformed

Returns
  log( value )

Implements QwtTransform.

Definition at line 88 of file qwt_transform.cpp.